~={green}Создать виртуальное окружение=~
- python -m venv <venv_name>



Windows
```powershell
$ python -m venv <name> # создать окружение
$ <name>\Scripts\activate # активировать окружение
$ deactivate # выход из виртуальной среды
```

#### virtualenv
Windows:
```bash
$ pip install virtualenv
$ pip install virtualenvwrapper-win
```
Linux
```bash
$ source env/bin/activate
$ deactibate
```

~={green}Работа с пакетами=~
```bash
# При активированном виртуальном окружении

# Вывести список пакетов
...\> pip freez

# Список установленных пакетов в файл
...\> pip freeze > requirements.txt

# Установить пакеты, перечисленные в файле
...\> pip install -r requirements.txt
```

В python c версии 3.13 при создании виртуального окружения создается файл .gitinore в папке проекта.
```bash
# Created by venv; see https://docs.python.org/3/library/venv.html
*
```
